Bug 497742 - snd-usb-audio: doesn't clear out hw playback buffer when opening PCM stream
snd-usb-audio: doesn't clear out hw playback buffer when opening PCM stream
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Reopened
: 503374 506402 506484 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 15:24 EDT by Konrad Karl
Modified: 2010-06-28 08:13 EDT (History)
18 users (show)

See Also:
Fixed In Version: 0.9.15-14.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konrad Karl 2009-04-26 15:24:13 EDT
Description of problem: 

whenever I restart pulseaudio while the USB headset is connected
(ID 046d:0a02 Logitech, Inc. Premium Stereo USB Headset 350) 
or whenever I am plugging the headset in an irritating distorted sound is audible
for about 0.25 .. 0.5 seconds.
Happens in KDE and also in Gnome.

..just checked: 
ID 0ccd:0028 TerraTec Electronic GmbH Aureon 5.1 MkII USB sound device is
doing the same, at least when it is configured for analog stereo in and out
(in pavucontrol).

The volume may be quite high and the (varying) pitch is in the kilohertz range.
(...difficult to describe :-). It does not sound like /dev/urandom however.

kernel-2.6.29.1-102.fc11.x86_64
alsa-lib-1.0.19-3.fc11.x86_64
pulseaudio-0.9.15-11.fc11.x86_64

How reproducible:
happens almost always. just do:  pulseaudio -k; sleep 1;pulseaudio -D 

Konrad.
Comment 1 Lennart Poettering 2009-04-26 22:03:58 EDT
Hmm, smells like  driver issue.

I have the same soundcard lying around here. Will try to reproduce.
Comment 2 Lennart Poettering 2009-04-26 22:08:54 EDT
I wonder ig this actually might be related to bug 497744.
Comment 3 Konrad Karl 2009-04-27 12:29:13 EDT
In my case it seems to work normally after the initial glitch.

another logitech headset outputs the same glitch (i think its a 250,
the usb chips may be almost the same however...) so I have now
3 kinds of usb audio which all produces this sound. if you want to hear it
i can make a recording with a microphone :)
Comment 4 Konrad Karl 2009-04-28 04:53:38 EDT
Yesterday evening it did even better :-(

1. I started aplay some.wav using onboard Intel ICH8 sound system.
2. put on my USB headset
3. started pavucontrol with the intent to move the aplay output
   to the headset.

Result: a _very_ loud random noise for more than one second in the
   headset. I have never been that fast to pull it from my head before.
   ( the noise 'color' was close to white as far as I can tell )
   
   After that all worked normally.

If this would have happened to my stereo connected to the Aureon 5.1 MkII USB
i am not sure if the tweeters would have survived the high frequency energy ..
Comment 5 Lennart Poettering 2009-05-20 10:23:29 EDT
This is fixed since quite a while in PA git. The patch is very intrusive though, so I don't want to push this into F11 right now, and risk breakage causing further delay of the release.

I will shortly push this into updates-testing however so that folks can test it and it can enter F11 after the release.

The bug is actually a driver bug, but also a case that should probably be fixed in PA anyway.
Comment 6 Lennart Poettering 2009-06-04 14:52:23 EDT
*** Bug 503374 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2009-06-08 12:54:22 EDT
pulseaudio-0.9.15-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pulseaudio-0.9.15-13.fc11
Comment 8 Bug Zapper 2009-06-09 10:37:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2009-06-09 14:23:58 EDT
pulseaudio-0.9.15-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pulseaudio-0.9.15-14.fc11
Comment 10 Fedora Update System 2009-06-15 22:30:38 EDT
pulseaudio-0.9.15-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pulseaudio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6410
Comment 11 Paul W. Frields 2009-06-16 07:28:23 EDT
I no longer hear this strange sound when I plug in my USB headset.  Suggest you try the updates-testing packages from above.
Comment 12 Michal Hlavinka 2009-06-17 14:14:16 EDT
I still here some irritating sound when I plug usb soundcard in (terratec aureon mkII), using:
$ rpm -qa | grep pulse | sort
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
pulseaudio-0.9.15-14.fc11.x86_64
pulseaudio-libs-0.9.15-14.fc11.x86_64
pulseaudio-module-x11-0.9.15-14.fc11.x86_64
pulseaudio-utils-0.9.15-14.fc11.x86_64
xine-lib-pulseaudio-1.1.16.3-2.fc11.x86_64
Comment 13 Michal Hlavinka 2009-06-17 14:17:09 EDT
well... I don't here this irritating sound, when using only front left+right, but when I use all 5.1 channels, it's still there
Comment 14 Bill McGonigle 2009-06-17 14:20:17 EDT
I'm still getting it upon login (iMic, originally reported on bug 503374).
Comment 15 Michal Hlavinka 2009-06-17 15:31:12 EDT
(In reply to comment #13)
> well... I don't here this irritating sound, when using only front left+right,
> but when I use all 5.1 channels, it's still there  

taking back. I've rewired my sound box yesterday and I was checking stereo with wrong switch. I can still here that sound
Comment 16 Konrad Karl 2009-06-17 17:39:09 EDT
Problem still present (tried with USB headphone, will try with my Aureon 5.1 MkII when I get it back).
 
happens when restarting pulseaudio or after connecting headset.

Sorry Lennart... :-)

PS: could you pls drop a few lines about the bug details? 

pulseaudio-module-bluetooth-0.9.15-14.fc11.x86_64
pulseaudio-module-gconf-0.9.15-14.fc11.x86_64
pulseaudio-libs-glib2-0.9.15-14.fc11.x86_64
pulseaudio-module-x11-0.9.15-14.fc11.x86_64
pulseaudio-0.9.15-14.fc11.x86_64
pulseaudio-libs-0.9.15-14.fc11.x86_64
pulseaudio-utils-0.9.15-14.fc11.x86_64
Comment 17 Bastien Nocera 2009-06-18 05:06:04 EDT
*** Bug 506484 has been marked as a duplicate of this bug. ***
Comment 18 Lennart Poettering 2009-06-18 12:30:16 EDT
Ok, this is not a PA bug then (wasn't in the first place anyway. My fix simply changed a bit the init logic of the ALSA logic and I assumed this would fix that).

The problem seems to be that snd-usb-audio does not properly clear out the playback buffer during playback startup, regardless how snd_pcm_sw_params_set_silence_threshold() is set. This only becomes noticable in PA since depending on the latency settings we only use a part of the playback buffer we actually ask for.

I will now reassign this to the kernel/Jaroslav.
Comment 19 Fedora Update System 2009-06-19 09:36:01 EDT
pulseaudio-0.9.15-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Michal Hlavinka 2009-06-19 09:48:12 EDT
this bug still exists, it was only auto closed by bodhi, because bug number was specified in pulseaudio's push, but component has been changed since that
Comment 21 Rudd-O DragonFear 2009-06-20 23:21:26 EDT
Oh yeah!  Thanks for fixing this bug, I was very worried that the tweeters were about to blow on my huge-ass speakers, and I've been having to switch the receiver to Tape every time I switched the card on.  I have not tried it yet, but it was really concerning in a "shit, this is gonna cost me thousands of dollars" way.
Comment 22 Bill McGonigle 2009-06-22 10:07:02 EDT
I seem to be getting identical symptoms when starting a VirtualBox guest.  Not sure if that's another way to trigger the same problem or something else.
Comment 23 Lennart Poettering 2009-06-25 12:09:33 EDT
Sorry, I accidentaly closed this.
Comment 24 Lennart Poettering 2009-06-25 12:09:49 EDT
*** Bug 506402 has been marked as a duplicate of this bug. ***
Comment 25 Rudd-O DragonFear 2009-06-26 03:21:13 EDT
Don't close this -- I still experience the horrible random noise, but it's a bit shorter now.
Comment 26 Nenad Rasic 2009-07-20 04:36:54 EDT
I am experiencing the same problem when i plug in my Harman/Kardnon soundsticks
i get the distorted noise even on welcome screen after that its fine. And when i play any mp3 file or ogg the noise comes and goes away after a second but if i try raise the volume the noise comes back and the sound starts stuttering.
Comment 27 Bug Zapper 2010-04-27 09:57:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Bug Zapper 2010-06-28 08:13:35 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.